Bug 947399 - WeeChat should not provide ruby.so()(64bit)
Summary: WeeChat should not provide ruby.so()(64bit)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: weechat
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-02 10:38 UTC by Vít Ondruch
Modified: 2013-04-20 20:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-11 10:05:02 UTC


Attachments (Terms of Use)

Description Vít Ondruch 2013-04-02 10:38:57 UTC
Description of problem:
I believe that automatically generated ruby.so()(64bit) should be filtered out, since this is Ruby binding, not something which should be consumed by anything else. There are probably other unnecessary provides which should be filtered as well.

Version-Release number of selected component (if applicable):
weechat-0.4.0-6.fc20.x86_64.rpm

How reproducible:
Always


Steps to Reproduce:
1.
2.
3.
  
Actual results:
$ repoquery --provides weechat
alias.so()(64bit)
aspell.so()(64bit)
charset.so()(64bit)
fifo.so()(64bit)
irc.so()(64bit)
logger.so()(64bit)
lua.so()(64bit)
perl.so()(64bit)
python.so()(64bit)
relay.so()(64bit)
rmodifier.so()(64bit)
ruby.so()(64bit)
script.so()(64bit)
tcl.so()(64bit)
weechat = 0.4.0-2.fc18
weechat(x86-64) = 0.4.0-2.fc18
xfer.so()(64bit)



Expected results:
$ repoquery --provides weechat
weechat = 0.4.0-2.fc18
weechat(x86-64) = 0.4.0-2.fc18


Additional info:

Comment 1 Fedora Update System 2013-04-02 10:58:10 UTC
weechat-0.4.0-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/weechat-0.4.0-7.fc19

Comment 2 Fedora Update System 2013-04-02 10:58:50 UTC
weechat-0.4.0-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/weechat-0.4.0-7.fc18

Comment 3 Fedora Update System 2013-04-02 10:59:33 UTC
weechat-0.4.0-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/weechat-0.4.0-7.fc17

Comment 4 Fedora Update System 2013-04-02 11:00:20 UTC
weechat-0.4.0-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/weechat-0.4.0-7.el6

Comment 5 Jamie Nguyen 2013-04-02 11:01:04 UTC
Thanks for reporting this Vit :)

Comment 6 Vít Ondruch 2013-04-02 11:03:14 UTC
That was insanely fast fix. Thank you :)

Comment 7 Fedora Update System 2013-04-02 16:27:14 UTC
weechat-0.4.0-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/weechat-0.4.0-4.el5

Comment 8 Fedora Update System 2013-04-02 19:18:08 UTC
Package weechat-0.4.0-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing weechat-0.4.0-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4670/weechat-0.4.0-7.fc19
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-04-11 10:05:04 UTC
weechat-0.4.0-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-04-11 10:09:03 UTC
weechat-0.4.0-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-04-19 17:00:54 UTC
weechat-0.4.0-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-04-19 17:02:38 UTC
weechat-0.4.0-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-04-20 20:01:18 UTC
weechat-0.4.0-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.